Subject: Re: [RFC][PATCH] MPC832x_RDB: update dts to use spi, register mmc_spi stub

From: Segher Boessenkool <[email-masked]>
Date: Wed, 1 Aug 2007 00:00:06 +0200

> Naming devices for human consumption is a more general problem than
> device-id addresses; I'd like to see a standard "label" property added 
> to
> the device tree spec that software could use to present a 
> human-friendly
> label that corresponds to markings on the case, position on the board,
> etc.

For some buses, there is a "slot-names" property; some (non-core)
bindings seem to define a "location" property.

For "random" human-readable labelling, i.e. not corresponding to
physical markings on the hardware, I recommend you look for a
matching entry in /aliases.  It won't ever be _exactly_ what you
want though, the Linux device namespace is separate from the
device tree.

Segher